# slides

Each **`slide`** object will result in a single slide in the output presentation. Multiple **`slide`** objects may point to the same template slide number, in which case that template slide will be reused multiple times.

<table><thead><tr><th width="142">Parameter</th><th width="129">Type</th><th width="94">Input</th><th>Description</th></tr></thead><tbody><tr><td>slide_index</td><td>Integer</td><td>int </td><td><mark style="color:red;">[required if <code>slide_id</code> not provided]</mark> Slide template number to use. Zero-based.</td></tr><tr><td>slide_id</td><td>Integer</td><td>int</td><td><mark style="color:red;">[required if <code>slide_index</code>  not provided]</mark> A unique identifier of a given slide. This ID is not displayed in the document, it's hidden in the xml. </td></tr><tr><td>shapes</td><td><mark style="color:blue;">Object</mark></td><td></td><td><mark style="color:yellow;">[optional]</mark> An array of shape objects. See <a href="/pages/RQKYKA3C8xfTVOiq0Yh1"><mark style="color:blue;"><strong>textbox</strong></mark></a>, <a href="/pages/f28OcryVOrnvy1yeJqpK"><mark style="color:blue;"><strong>table</strong></mark></a>, <a href="/pages/O3a7Yxqh09TeG2XF2YNg"><mark style="color:blue;"><strong>chart</strong></mark></a>, <a href="/pages/5JXj57BdJ3HruF6Oyj3c"><mark style="color:blue;"><strong>image</strong></mark></a><mark style="color:blue;"><strong>.</strong></mark></td></tr><tr><td>notes</td><td>String or <mark style="color:blue;">Object</mark></td><td></td><td><p><mark style="color:yellow;">[optional]</mark> Represents slide notes. </p><p></p><p>- <strong>String</strong>: A simple way to display plain text in the slide notes.</p><p></p><p>- <strong>Object</strong>: Use for advanced formatting by defining text chunks. See the <a href="#text-object"><mark style="color:blue;"><strong>text object</strong></mark></a> structure.</p></td></tr><tr><td>tags </td><td><mark style="color:blue;">Object</mark></td><td></td><td><mark style="color:yellow;">[optional]</mark> An array of <a href="/pages/E8wt2pQGFogkAF68Rbcr"><mark style="color:blue;"><strong>tag objects</strong></mark></a><mark style="color:blue;"><strong>.</strong></mark> Shorthand way of updating keys (text) with values on a slide level. </td></tr></tbody></table>

JSON payload

{% code lineNumbers="true" %}

```json
"slides": [
 {
   "slide_index": int,
   "shapes": [],
   "notes": string,
   "tags": []
 },
 {
   "slide_id": int,
   "shapes": [],
   "notes": [],
   "tags": []
 }
]
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powerpointgeneratorapi.com/json-template-syntax/slides.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
